## visad
Interface AVControl

All Known Subinterfaces:
  AnimationControl, ValueControl

All Known Implementing Classes:
  AnimationControlJ2D, AnimationControlJ3D, AVControlJ2D, AVControlJ3D, DownRoundingAnimationControlJ3D, ValueControlJ2D, ValueControlJ3D

public interface AVControl

AVControl is the VisAD interface for AnimationControl and ValueControl.

Method Summary
`void` `addControlListener(ControlListener listener)` in future, notify listener of changes in this AVControl
`void` `clearSwitches(DataRenderer re)` remove all references to SwitchSet objects involving re
`String` `getSaveString()`
`void` `removeControlListener(ControlListener listener)` stop notifying listener of changes in this AVControl
`void` `setSaveString(String save)` reconstruct this AVControl using the specified save string

Method Detail

### clearSwitches

    public void clearSwitches(DataRenderer re)

  remove all references to SwitchSet objects involving re

  Parameters:
    `re` - - DataRenderer used to select SwitchSet objects

### addControlListener

    public void addControlListener(ControlListener listener)

  in future, notify listener of changes in this AVControl

  Parameters:
    `listener` - - ControlListener to notify

### removeControlListener

    public void removeControlListener(ControlListener listener)

  stop notifying listener of changes in this AVControl

  Parameters:
    `listener` - - ControlListener to stop notifying

### getSaveString

    public String getSaveString()

  Returns:
    String representation of this AVControl

### setSaveString

    public void setSaveString(String save)
                       throws VisADException,
                              RemoteException

  reconstruct this AVControl using the specified save string

  Parameters:
    `save` - - String representation for reconstruction
  Throws:
    `VisADException`
    `RemoteException`